Apache JMeter

## org.apache.jmeter.gui
Class MainFrame.ErrorsAndFatalsCounterLogTarget

    java.lang.Object
      org.apache.jmeter.gui.MainFrame.ErrorsAndFatalsCounterLogTarget

All Implemented Interfaces:
  Clearable, org.apache.log.LogTarget

Enclosing class:
  MainFrame

    public final class MainFrame.ErrorsAndFatalsCounterLogTarget

extends Object
implements org.apache.log.LogTarget, Clearable

Field Summary
`AtomicInteger` `errorOrFatal`

Constructor Summary
`MainFrame.ErrorsAndFatalsCounterLogTarget()`

Method Summary
`void` `clearData()` Clears the current data of the object.
`void` `processEvent(org.apache.log.LogEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorOrFatal

    public AtomicInteger errorOrFatal

Constructor Detail

### MainFrame.ErrorsAndFatalsCounterLogTarget

    public MainFrame.ErrorsAndFatalsCounterLogTarget()

Method Detail

### processEvent

    public void processEvent(org.apache.log.LogEvent event)

  Specified by:
    `processEvent` in interface `org.apache.log.LogTarget`

### clearData

    public void clearData()

  Description copied from interface: `Clearable`
  Clears the current data of the object.

  Specified by:
    `clearData` in interface `Clearable`

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.